SEARCHINPUTCCT(3)

NAME
searchInputCct - searches for the index number associated to an input.

SYNOPSYS
#include "logmmm.h"
short searchInputCct(pC,name)
pCircuit pC;
char *name;

PARAMETERS

pC  Circuit

name
    name to look for

DESCRIPTION
searchInputCct() searches for the index associated to name. This function returns EMPTYTH if the primary input doesn't exist in pC.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
short index;
pCircuit pC;
initializeBdd(SMALL_BDD);
pC = initializeCct("circuit 1",10,10);
addInputCct(pC,"a");
addInputCct(pC,"b");
index = searchInputCct(pC,"a");
printf("index(a) = %d",index);
index = searchInputCct(pC,"c");
printf("index(c) = %d",index);
/* it will display
index(a) = 2
index(c) = -1
*/
destroyCct(pC);
destroyBdd(1);

SEE ALSO
log(1), bdd(1), addInputCct(3), cpOrderCct(3), searchOutputCct(3), addOutputCct(3).